www-builds mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Stefan Bodewig <bode...@apache.org>
Subject Compress Buids Failing in Jenkins - Java5?
Date Thu, 24 Mar 2016 12:18:00 GMT
Hi

for a bit more than a week the Commons Compress builds have been
failing. The build process uses Maven and requires Java5 (likely to be
replaced with a not-quite-as-old-version, but for now that's the
requirement).

Most of the failing builds have been executed on mac-mini-1 and the log
just ends with "compilation failed" and no compilation error to see,
even with Maven's debug switch thrown in. For example:

https://builds.apache.org/job/Commons-Compress/67/consoleFull

The only failing build on a different node in this timespan has been a
real bug (a Java6 dependency, that's why we need the Java5 build) and
I've fixed it by now.

So I thought it might by the mac-mini-1 node and excluded it, triggered
a new build which was executed on jenkins-test-77. It also failed during
compilation but this time with a usable error message:

> ERROR: Could not install JDK_1_5_LATEST__HOME

Is this a known issue? Maybe just with some nodes?

Is there a way to identify the nodes with a working JDK 1.5 installation
so I can select them for the build?

Is there anything I can do to help?

Cheers

        Stefan

Mime
View raw message